Summary: A daemon for delivering ACPI events
Name: acpid
Version: 2.0.23
Release: r0.0
License: GPLv2+
Group: base
Packager: Wind River <info@windriver.com>
URL: http://sourceforge.net/projects/acpid/
BuildRequires: libtool-cross
BuildRequires: autoconf-native
BuildRequires: libtool-native
BuildRequires: update-rc.d
BuildRequires: update-rc.d-native
BuildRequires: initscripts
BuildRequires: virtual/libc
BuildRequires: virtual/x86_64-wrs-linux-compilerlibs
BuildRequires: gnu-config-native
BuildRequires: virtual/x86_64-wrs-linux-gcc
BuildRequires: automake-native
Requires: rtld(GNU_HASH)
Requires: libc.so.6(GLIBC_2.3)(64bit)
Requires: libc.so.6(GLIBC_2.14)(64bit)
Requires: libc.so.6(GLIBC_2.4)(64bit)
Requires: libc.so.6()(64bit)
Requires: libc6 >= 2.22
Requires: libc.so.6(GLIBC_2.2.5)(64bit)
Requires: libc.so.6(GLIBC_2.10)(64bit)
Requires: libc.so.6(GLIBC_2.3.4)(64bit)
Requires: /bin/sh
Requires: libc.so.6(GLIBC_2.9)(64bit)
Requires(pre): rtld(GNU_HASH)
Requires(pre): libc.so.6(GLIBC_2.3)(64bit)
Requires(pre): libc.so.6(GLIBC_2.14)(64bit)
Requires(pre): libc.so.6(GLIBC_2.4)(64bit)
Requires(pre): libc.so.6()(64bit)
Requires(pre): libc6 >= 2.22
Requires(pre): libc.so.6(GLIBC_2.2.5)(64bit)
Requires(pre): libc.so.6(GLIBC_2.10)(64bit)
Requires(pre): libc.so.6(GLIBC_2.3.4)(64bit)
Requires(pre): /bin/sh
Requires(pre): libc.so.6(GLIBC_2.9)(64bit)
Requires(post): rtld(GNU_HASH)
Requires(post): libc.so.6(GLIBC_2.3)(64bit)
Requires(post): libc.so.6(GLIBC_2.14)(64bit)
Requires(post): libc.so.6(GLIBC_2.4)(64bit)
Requires(post): libc.so.6()(64bit)
Requires(post): libc6 >= 2.22
Requires(post): libc.so.6(GLIBC_2.2.5)(64bit)
Requires(post): libc.so.6(GLIBC_2.10)(64bit)
Requires(post): libc.so.6(GLIBC_2.3.4)(64bit)
Requires(post): /bin/sh
Requires(post): libc.so.6(GLIBC_2.9)(64bit)
Requires(preun): rtld(GNU_HASH)
Requires(preun): libc.so.6(GLIBC_2.3)(64bit)
Requires(preun): libc.so.6(GLIBC_2.14)(64bit)
Requires(preun): libc.so.6(GLIBC_2.4)(64bit)
Requires(preun): libc.so.6()(64bit)
Requires(preun): libc6 >= 2.22
Requires(preun): libc.so.6(GLIBC_2.2.5)(64bit)
Requires(preun): libc.so.6(GLIBC_2.10)(64bit)
Requires(preun): libc.so.6(GLIBC_2.3.4)(64bit)
Requires(preun): /bin/sh
Requires(preun): libc.so.6(GLIBC_2.9)(64bit)
Requires(postun): rtld(GNU_HASH)
Requires(postun): libc.so.6(GLIBC_2.3)(64bit)
Requires(postun): libc.so.6(GLIBC_2.14)(64bit)
Requires(postun): libc.so.6(GLIBC_2.4)(64bit)
Requires(postun): libc.so.6()(64bit)
Requires(postun): libc6 >= 2.22
Requires(postun): libc.so.6(GLIBC_2.2.5)(64bit)
Requires(postun): libc.so.6(GLIBC_2.10)(64bit)
Requires(postun): libc.so.6(GLIBC_2.3.4)(64bit)
Requires(postun): /bin/sh
Requires(postun): libc.so.6(GLIBC_2.9)(64bit)
Suggests: update-rc.d
Provides: elf(buildid) = 51202acd75022406c20243cb54df149b2c784afc
Provides: elf(buildid) = 0b5cd6d3b24d96f2d1a12fb90e4629deb3a13671
Provides: elf(buildid) = 1b3fa212ade4a7c9eded9ae0168ba03b9eae0ef3

%description
A daemon for delivering ACPI events.

%package -n acpid-default-scripts
Summary: A daemon for delivering ACPI events
Group: base
Requires: acpid
Requires: /bin/sh

%description -n acpid-default-scripts
A daemon for delivering ACPI events.

%package -n acpid-dbg
Summary: A daemon for delivering ACPI events - Debugging files
Group: devel
Suggests: libc6-dbg
Recommends: acpid = 2.0.23-r0.0

%description -n acpid-dbg
A daemon for delivering ACPI events.  This package contains ELF symbols and
related sources for debugging purposes.

%package -n acpid-staticdev
Summary: A daemon for delivering ACPI events - Development files (Static Libraries)
Group: devel
Requires: acpid-dev = 2.0.23-r0.0

%description -n acpid-staticdev
A daemon for delivering ACPI events.  This package contains static
libraries for software development.

%package -n acpid-dev
Summary: A daemon for delivering ACPI events - Development files
Group: devel
Requires: acpid = 2.0.23-r0.0
Suggests: libc6-dev
Suggests: update-rc.d-dev
Suggests: initscripts-dev

%description -n acpid-dev
A daemon for delivering ACPI events.  This package contains symbolic links,
header files, and related items necessary for software development.

%package -n acpid-doc
Summary: A daemon for delivering ACPI events - Documentation files
Group: doc

%description -n acpid-doc
A daemon for delivering ACPI events.  This package contains documentation.

%package -n acpid-locale
Summary: A daemon for delivering ACPI events
Group: base

%description -n acpid-locale
A daemon for delivering ACPI events.

%pre
# acpid - preinst
#!/bin/sh
if [ -z "$D" -a -f "/etc/init.d/acpid" ]; then
	/etc/init.d/acpid stop
fi
if type update-rc.d >/dev/null 2>/dev/null; then
	if [ -n "$D" ]; then
		OPT="-f -r $D"
	else
		OPT="-f"
	fi
	update-rc.d $OPT acpid remove
fi


%post
# acpid - postinst
#!/bin/sh
if type update-rc.d >/dev/null 2>/dev/null; then
	if [ -n "$D" ]; then
		OPT="-r $D"
	else
		OPT="-s"
	fi
	update-rc.d $OPT acpid defaults
fi


%preun
# acpid - prerm
#!/bin/sh
if [ "$1" = "0" ] ; then
if [ -z "$D" ]; then
	/etc/init.d/acpid stop
fi
fi

%postun
# acpid - postrm
#!/bin/sh
if [ "$1" = "0" ] ; then
if type update-rc.d >/dev/null 2>/dev/null; then
	if [ -n "$D" ]; then
		OPT="-f -r $D"
	else
		OPT="-f"
	fi
	update-rc.d $OPT acpid remove
fi
fi

%files
%defattr(-,-,-,-)
%dir "/etc"
%dir "/usr"
%dir "/etc/init.d"
"/etc/init.d/acpid"
%dir "/usr/sbin"
%dir "/usr/bin"
"/usr/sbin/acpid"
"/usr/sbin/kacpimon"
"/usr/bin/acpi_listen"

%files -n acpid-default-scripts
%defattr(-,-,-,-)
%dir "/etc"
%dir "/etc/acpi"
%dir "/etc/acpi/events"
%dir "/etc/acpi/actions"
"/etc/acpi/events/powerbtn"
"/etc/acpi/actions/power.sh"

%files -n acpid-dbg
%defattr(-,-,-,-)
%dir "/usr"
%dir "/usr/sbin"
%dir "/usr/bin"
%dir "/usr/src"
%dir "/usr/sbin/.debug"
"/usr/sbin/.debug/acpid"
"/usr/sbin/.debug/kacpimon"
%dir "/usr/bin/.debug"
"/usr/bin/.debug/acpi_listen"
%dir "/usr/src/debug"
%dir "/usr/src/debug/acpid"
%dir "/usr/src/debug/acpid/2.0.23-r0"
%dir "/usr/src/debug/acpid/2.0.23-r0/acpid-2.0.23"
%dir "/usr/src/debug/acpid/2.0.23-r0/acpid-2.0.23/kacpimon"
"/usr/src/debug/acpid/2.0.23-r0/acpid-2.0.23/netlink.h"
"/usr/src/debug/acpid/2.0.23-r0/acpid-2.0.23/sock.c"
"/usr/src/debug/acpid/2.0.23-r0/acpid-2.0.23/proc.c"
"/usr/src/debug/acpid/2.0.23-r0/acpid-2.0.23/event.c"
"/usr/src/debug/acpid/2.0.23-r0/acpid-2.0.23/acpi_listen.c"
"/usr/src/debug/acpid/2.0.23-r0/acpid-2.0.23/libnetlink.c"
"/usr/src/debug/acpid/2.0.23-r0/acpid-2.0.23/genetlink.h"
"/usr/src/debug/acpid/2.0.23-r0/acpid-2.0.23/acpi_ids.h"
"/usr/src/debug/acpid/2.0.23-r0/acpid-2.0.23/ud_socket.h"
"/usr/src/debug/acpid/2.0.23-r0/acpid-2.0.23/libnetlink.h"
"/usr/src/debug/acpid/2.0.23-r0/acpid-2.0.23/netlink.c"
"/usr/src/debug/acpid/2.0.23-r0/acpid-2.0.23/log.h"
"/usr/src/debug/acpid/2.0.23-r0/acpid-2.0.23/event.h"
"/usr/src/debug/acpid/2.0.23-r0/acpid-2.0.23/input_layer.h"
"/usr/src/debug/acpid/2.0.23-r0/acpid-2.0.23/log.c"
"/usr/src/debug/acpid/2.0.23-r0/acpid-2.0.23/acpid.c"
"/usr/src/debug/acpid/2.0.23-r0/acpid-2.0.23/connection_list.c"
"/usr/src/debug/acpid/2.0.23-r0/acpid-2.0.23/acpi_genetlink.h"
"/usr/src/debug/acpid/2.0.23-r0/acpid-2.0.23/inotify_handler.c"
"/usr/src/debug/acpid/2.0.23-r0/acpid-2.0.23/proc.h"
"/usr/src/debug/acpid/2.0.23-r0/acpid-2.0.23/ud_socket.c"
"/usr/src/debug/acpid/2.0.23-r0/acpid-2.0.23/connection_list.h"
"/usr/src/debug/acpid/2.0.23-r0/acpid-2.0.23/acpid.h"
"/usr/src/debug/acpid/2.0.23-r0/acpid-2.0.23/inotify_handler.h"
"/usr/src/debug/acpid/2.0.23-r0/acpid-2.0.23/sock.h"
"/usr/src/debug/acpid/2.0.23-r0/acpid-2.0.23/acpi_ids.c"
"/usr/src/debug/acpid/2.0.23-r0/acpid-2.0.23/input_layer.c"
"/usr/src/debug/acpid/2.0.23-r0/acpid-2.0.23/kacpimon/netlink.h"
"/usr/src/debug/acpid/2.0.23-r0/acpid-2.0.23/kacpimon/libnetlink.c"
"/usr/src/debug/acpid/2.0.23-r0/acpid-2.0.23/kacpimon/genetlink.h"
"/usr/src/debug/acpid/2.0.23-r0/acpid-2.0.23/kacpimon/acpi_ids.h"
"/usr/src/debug/acpid/2.0.23-r0/acpid-2.0.23/kacpimon/libnetlink.h"
"/usr/src/debug/acpid/2.0.23-r0/acpid-2.0.23/kacpimon/netlink.c"
"/usr/src/debug/acpid/2.0.23-r0/acpid-2.0.23/kacpimon/input_layer.h"
"/usr/src/debug/acpid/2.0.23-r0/acpid-2.0.23/kacpimon/connection_list.c"
"/usr/src/debug/acpid/2.0.23-r0/acpid-2.0.23/kacpimon/acpi_genetlink.h"
"/usr/src/debug/acpid/2.0.23-r0/acpid-2.0.23/kacpimon/connection_list.h"
"/usr/src/debug/acpid/2.0.23-r0/acpid-2.0.23/kacpimon/kacpimon.h"
"/usr/src/debug/acpid/2.0.23-r0/acpid-2.0.23/kacpimon/kacpimon.c"
"/usr/src/debug/acpid/2.0.23-r0/acpid-2.0.23/kacpimon/acpi_ids.c"
"/usr/src/debug/acpid/2.0.23-r0/acpid-2.0.23/kacpimon/input_layer.c"

%files -n acpid-dev
%defattr(-,-,-,-)

%files -n acpid-doc
%defattr(-,-,-,-)
%dir "/usr"
%dir "/usr/share"
%dir "/usr/share/doc"
%dir "/usr/share/man"
%dir "/usr/share/doc/acpid"
"/usr/share/doc/acpid/Changelog"
"/usr/share/doc/acpid/COPYING"
"/usr/share/doc/acpid/TODO"
"/usr/share/doc/acpid/README"
"/usr/share/doc/acpid/TESTPLAN"
%dir "/usr/share/man/man8"
"/usr/share/man/man8/acpid.8"
"/usr/share/man/man8/kacpimon.8"
"/usr/share/man/man8/acpi_listen.8"

